gnutls_pkcs11_init(3)

NAME
gnutls_pkcs11_init - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_init(unsigned int flags, const char * deprecated_config_file);

ARGUMENTS

unsigned int flags
    An ORed sequence of GNUTLS_PKCS11_FLAG_*

const char * deprecated_config_file
    either NULL or the location of a deprecated configuration file

DESCRIPTION
This function will initialize the PKCS 11 subsystem in gnutls. It will read configuration files if GNUTLS_PKCS11_FLAG_AUTO is used or allow you to independently load PKCS 11 modules using gnutls_pkcs11_add_provider() if GNUTLS_PKCS11_FLAG_MANUAL is specified. Normally you don't need to call this function since it is being called when the first PKCS 11 operation is requested using the GNUTLS_PKCS11_FLAG_AUTO flag. If another flags are required then it must be called independently prior to any PKCS 11 operation.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/